log4cpp: log4cpp::RollingFileAppender Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::RollingFileAppender Class Reference

RollingFileAppender is a FileAppender that rolls over the logfile once it has reached a certain size limit. More...

`#include <RollingFileAppender.hh>`

Inheritance diagram for log4cpp::RollingFileAppender:

[legend]
Collaboration diagram for log4cpp::RollingFileAppender:

[legend]
List of all members.

## Public Member Functions
| RollingFileAppender (const std::string &name, const std::string &fileName, size_t maxFileSize=10 *1024 *1024, unsigned int maxBackupIndex=1, bool append=true, mode_t mode=00644)
virtual void | setMaxBackupIndex (unsigned int maxBackups)
virtual unsigned int | getMaxBackupIndex () const
virtual void | setMaximumFileSize (size_t maxFileSize)
virtual size_t | getMaxFileSize () const
virtual void | rollOver ()
## Protected Member Functions
virtual void | _append (const LoggingEvent &event)
| Log in Appender specific way.
## Protected Attributes
unsigned int | _maxBackupIndex
size_t | _maxFileSize

## Detailed Description

RollingFileAppender is a FileAppender that rolls over the logfile once it has reached a certain size limit.

Since:
  0.3.1

## Constructor & Destructor Documentation

log4cpp::RollingFileAppender::RollingFileAppender | ( | const std::string & | name,
|  | const std::string & | fileName,
|  | size_t | maxFileSize = `10 *1024 *1024`,
|  | unsigned int | maxBackupIndex = `1`,
|  | bool | append = `true`,
|  | mode_t | mode = `00644` |
| ) |  |  |

## Member Function Documentation

void log4cpp::RollingFileAppender::setMaxBackupIndex | ( | unsigned int | maxBackups | ) | `[virtual]`

unsigned int log4cpp::RollingFileAppender::getMaxBackupIndex | ( |  | ) | const`[virtual]`

void log4cpp::RollingFileAppender::setMaximumFileSize | ( | size_t | maxFileSize | ) | `[virtual]`

size_t log4cpp::RollingFileAppender::getMaxFileSize | ( |  | ) | const`[virtual]`

void log4cpp::RollingFileAppender::rollOver | ( |  | ) | `[virtual]`

void log4cpp::RollingFileAppender::_append | ( | const LoggingEvent & | event | ) | `[protected, virtual]`

Log in Appender specific way.

Subclasses of Appender should implement this method to perform actual logging.

Parameters:

  | event | The LoggingEvent to log.

Reimplemented from log4cpp::FileAppender.

## Member Data Documentation

unsigned int log4cpp::RollingFileAppender::_maxBackupIndex`[protected]`

size_t log4cpp::RollingFileAppender::_maxFileSize`[protected]`

The documentation for this class was generated from the following files:

- RollingFileAppender.hh
- RollingFileAppender.cpp